;; +-------------------------------------------------------------------------+
;; | Джентльменский набор Web-разработчика                                   |
;; | Версия: Денвер-2 2006-12-18                                             |
;; +-------------------------------------------------------------------------+
;; | Copyright (C) 2001-2004 Дмитрий Котеров.                                |
;; +-------------------------------------------------------------------------+
;; | Данный файл является частью комплекса программ "Денвер-2". Вы не можете |
;; | использовать  его в коммерческих  целях.  Никакие другие ограничения не |
;; | накладываются.  Если вы хотите внести изменения в исходный код,  авторы |
;; | будут рады получить от вас комментарии и замечания. Приятной работы!    |
;; +-------------------------------------------------------------------------+
;; | Домашняя страница: http://denwer.ru                                     |
;; | Контакты: http://forum.dklab.ru/denwer                                  |
;; +-------------------------------------------------------------------------+
;; 
;; Перевод Дмитрия Котерова.
;;

[PHP]

;;;;;;;;;;;;;;;;;
; Об этом файле ;
;;;;;;;;;;;;;;;;;

; Этот файл содержит большинство установок PHP. Чтобы PHP смог его
; обнаружить, он должен называться 'php.ini'. Интерпретатор ищет файл в
; текущем каталоге, в случае неудачи - в каталоге, указанном в
; переменной окружения PHPRC, и, наконец, в каталоге, заданном при -в
; компиляции и сборке PHP (именно в таком порядке).
; В системе Windows путь, указанный при компиляции PHP,
; соответствует каталогу Windows (в большинстве случаев это
; c:\windows). Папка, в которой будет производиться поиск файла
; 'php.ini', может быть также определена с использованием ключа -c
; командной строки.
;
; Синтаксис файла крайне прост.  Пробельные символы (то есть, пробелы,
; символы табуляции и т. д.), строки, начинающиеся с точки с запятой (;)
; игнорируются (как вы, наверное, уже догадались). Заголовки секций
; (например, [Foo]) также пропускаются, но, возможно, будут учитываться
; в будущих версиях PHP.
;
; Директивы задаются примерно так:
; directive=value
; Имена директив чувствительны к регистру символов - foo=bar не то же
; самое, что FOO=bar.
;
; Значение value может быть строкой, числом, константой PHP (например,
; E_ALL или M_PI), одной из INI-констант (On, Off, True, False, Yes, No
; или None), выражением (например, E_ALL & ~E_NOTICE), а также строкой
; в кавычках ("foo").
;
; В выражениях могут использоваться только побитовые и логические
; операторы, а также скобки:
; |      поразрядное ИЛИ (OR)
; &      поразрядное И (AND)
; ~      поразрядное НЕ (NOT)
; !      логическое отрицание (NOT)
;
; В качестве логических флагов со значением "истина" могут быть
; использованы значения 1, On, True или Yes. Значение "ложь" дают 0, Off,
; False и No.
;
; Пустая строка может быть задана, если "не указать ничего" после знака
; равенства, или же указать слово None:
;   foo=        ; устанавливаем foo равной пустой сторке
;   foo=none    ; аналогично
;   foo="none"  ; устанавливаем foo равным строке 'none'
;
; Если вы используете константы в качестве части значения директивы и эти
; константы определяются в каком-нибудь динамически загружаемом
; расширении (модуле PHP или Zend), вы можете указывать их только после
; строки, которая загружает расширение.
;
; Все значения в файле php.ini-dist соответствуют встроенным значениям
; по умолчанию. Если php.ini не задействуется, или же вы удалите из него
; некоторые строки, будут установлены значения по умолчанию.

;;;;;;;;;;;;;;;;;;;
; Настройки языка ;
;;;;;;;;;;;;;;;;;;;

; Разрешает работу PHP для сервера Apache.
engine = On

; Разрешает использовать короткие тэги <?. Иначе будут распознаваться
; только тэги <?php и <script>.
short_open_tag = On 

; Позволяет использовать тэги <% %> а-ля ASP.
asp_tags = Off

; Число значащих цифр после запятой, которые отображаются для чисел с
; плавающей точкой.
precision = 12

; Признак коррекции дат (проблема 2000 года, которая может
; вызвать непонимание со стороны браузеров, на это не рассчитанных).
y2k_compliance = On 

; Использование буферизации вывода. Позволяет посылать заголовки (включая
; Cookies) после вывода текста. Правда, это происходит ценой
; незначительного замедления вывода.
; Вы можете разрешить буферизацию во время выполнения сценария путем
; вызова функций буферизации, или же включить ее по умолчанию с помощью
; следующей директивы:
output_buffering = Off

; You can redirect all of the output of your scripts to a function.  For
; example, if you set output_handler to "mb_output_handler", character
; encoding will be transparently converted to the specified encoding.
; Setting any output handler automatically turns on output buffering.
; Note: People who wrote portable scripts should not depend on this ini
;       directive. Instead, explicitly set the output handler using ob_start().
;       Using this ini directive may cause problems unless you know what script 
;       is doing.
; Note: You cannot use both "mb_output_handler" with "ob_iconv_handler"
;       and you cannot use both "ob_gzhandler" and "zlib.output_compression". 
;output_handler =

; Transparent output compression using the zlib library
; Valid values for this option are 'off', 'on', or a specific buffer size
; to be used for compression (default is 4KB)
; Note: Resulting chunk size may vary due to nature of compression. PHP 
;       outputs chunks that are few hundreds bytes each as a result of compression. 
;       If you want larger chunk size for better performence, enable output_buffering 
;       also. 
; Note: output_handler must be empty if this is set 'On' !!!!
;       Instead you must use zlib.output_handler.
zlib.output_compression = Off

; You cannot specify additional output handlers if zlib.output_compression
; is activated here. This setting does the same as output_handler but in
; a different order.
;zlib.output_handler =

; Директива неявной отсылки говорит PHP о том, что выводимые данные нужно
; автоматически передавать браузеру после вывода каждого блока данных.
; Ее действие эквивалентно вызовам функции flush() после 
; каждого использования print() или echo() и после каждого HTML-блока.
; Включение этой директивы серьезно замедляет работу, поэтому ее
; рекомендуется применять лишь в отладочных целях.
implicit_flush = Off

; The unserialize callback function will be called (with the undefined class'
; name as parameter), if the unserializer finds an undefined class
; which should be instantiated.
; A warning appears if the specified function is not defined, or if the
; function doesn't include/implement the missing class.
; So only set this entry, if you really want to implement such a 
; callback-function.
unserialize_callback_func=

; When floats & doubles are serialized store serialize_precision significant
; digits after the floating point. The default value ensures that when floats
; are decoded with unserialize, the data will remain the same.
serialize_precision = 100

; Параметр определяет, должен ли PHP использовать возможность всегда 
; передавать аргументы функциям по ссылке при выполнении сценария. 
; Этог метод устарел, и, скорее всего, он не будет 
; поддерживаться в будущих версиях PHP/Zend. 
; Описание того, каким способом должен быть передан аргумент -
; по ссылке или по значению - рекомендуется указывать при объявлении
; функции. Лучше всего, если вы попробуете установить параметр в Off
; и проверите, все ли сценарии по-прежнему работают. Если это так,
; то все в порядке, и сценарии будут совместимы и с будущими версиями
; PHP. В противном случае вы будете получать предупреждения каждый раз,
; когда аргументы передаются ненадлежащим образом и по значению там,
; где должны передаваться по ссылке.
allow_call_time_pass_reference = On 

; Безопасный режим
safe_mode = Off

; By default, Safe Mode does a UID compare check when
; opening files. If you want to relax this to a GID compare,
; then turn on safe_mode_gid.
safe_mode_gid = Off

; When safe_mode is on, UID/GID checks are bypassed when
; including files from this directory and its subdirectories.
; (directory must also be in include_path or full path must
; be used when including)
safe_mode_include_dir =               

; When safe_mode is on, only executables located in the safe_mode_exec_dir
; will be allowed to be executed via the exec family of functions.
safe_mode_exec_dir =

; Установка некоторых переменных окружения может потенциально породить
; "дыры" в защите сценариев. Следующая директива содержит разделенный
; запятыми список префиксов. В режиме включенного безопасного режима
; пользователь сможет изменять только те переменные окружения, имена
; которых начинаются с перечисленных префиксов. 
; По умолчанию пользователь имеет возможность устанавливать только
; переменные окружения, начинающиеся с PHP_ (например,
; PHP_FOO=something).
; Замечание: если эта директива пуста, PHP позволяет пользователям
; модифицировать любые переменные окружения!
safe_mode_allowed_env_vars = PHP_

; Следующая директива содержит разделенный запятыми список имен
; переменных окружения, которые конечный пользователь не сможет изменять
; путем вызова putenv().
; Эти переменные будут защищены даже в том случае, если директива 
; разрешает их использовать.
safe_mode_protected_env_vars = LD_LIBRARY_PATH

; Эта директива позволяет вам запрещать вызовы некоторых функций
; из соображений безопасности. Список задается в виде имен функций,
; разграниченных запятыми. Директива действует независимо от того, установлен
; ли безопасный режим или нет!
disable_functions =


; Эта директива позволяет вам запрещать вызовы некоторых классов из
; соображений безопасности. Список задается в виде имен классов,
; разграниченных запятыми. Директива действует независимо от того, установлен
; ли безопасный режим или нет!
disable_classes =

; Цвета для режима раскраски синтаксиса. Любой цвет, допустимый в тэге
; <font color=???>, допустим и здесь.
;highlight.string  = #DD0000
;highlight.comment = #FF9900
;highlight.keyword = #007700
;highlight.bg      = #FFFFFF
;highlight.default = #0000BB
;highlight.html    = #000000

; Другие директивы

; Следующая директива указывает, должен ли PHP добавлять заголовок
; X-Powered-by в заголовки, посылаемые браузеру, и, таким образом,
; обнаруживать себя. Это никак не может повлиять на безопасность
; сценария, однако позволяет пользователю определить, использовался
; ли PHP для генерации страницы, или нет.
expose_php = On

;;;;;;;;;;;;;;;;;;;;;;;;
; Ограничения ресурсов ;
;;;;;;;;;;;;;;;;;;;;;;;;

max_execution_time = 60000     ; Максимальное возможное время выполнения сценария в секундах.
max_input_time = 60 ; Maximum amount of time each script may spend parsing request data
memory_limit = 8M      ; Максимальный объем памяти, выделяемый сценарию (8MB)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Обработка ошибок и журнализация ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Директива error_reporting должна задаваться в виде битового
; поля. Его значение можно устанавливать с помощью следующих констант,
; объединенных оператором | (OR):
; E_ALL              - Все предупреждения и ошибки.
; E_ERROR            - Критические ошибки времени выполнения.
; E_WARNING          - Предупреждения времени выполнения.
; E_PARSE            - Ошибки трансляции.
; E_NOTICE           - Замечания времени выполнения (это такие
;                      предупреждения, которые, скорее всего, 
;                      свидетельствуют о логических ошибках в 
;                      сценарии, - например, использовании 
;                      неинициализированной переменной).
; E_CORE_ERROR       - Критические ошибки в момент старта PHP.
; E_CORE_WARNING     - Некритические предупреждения во время старта PHP.
; E_COMPILE_ERROR    - Критические ошибки времени трансляции.
; E_COMPILE_WARNING  - Предупреждения времени трансляции.
; E_USER_ERROR       - Сгенерированные пользователем ошибки.
; E_USER_WARNING     - Сгенерированные пользователем предупреждения.
; E_USER_NOTICE      - Сгенерированные пользователем замечания.
; Пример:
; показывать все ошибки, за исключением замечаний
; error_reporting = E_ALL & ~E_NOTICE
; показывать только сообщения об ошибках
; error_reporting=E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR
; отображать все ошибки, предупреждения и замечания
error_reporting =       E_ALL ; & ~E_NOTICE

; Печать ошибок и предупреждений прямо в браузер. 
; Для готовых сайтов рекомендуется отключать следующую директиву и
; использовать вместо нее журнализацию (см. ниже). Включенная директива
; display_errors в "рабочих" сайтах может открыть доступ пользователю к
; секретной информации: например, полному пути к документу, используемой
; базе данных и т. д.
display_errors = On

; Даже если display_errors включена, ошибки, возникающие во время старта
; PHP, не отображаются. Рекомендуется устанавливать следующую директиву
; в выключенное состояние, за исключением случая, когда вы применяете 
; ее при отладке.
display_startup_errors = Off

; Сохранять ли сообщения об ошибках в файле журнала. Журнал может
; определяться настройками сервера, быть связанным с потоком stderr 
; или же задаваться директивой error_log, описанной ниже. Как уже было
; сказано, в коммерческих проектах желательно использовать именно
; журнализацию, а не отображать ошибки в браузер.
log_errors = Off

; Set maximum length of log_errors. In error_log information about the source is
; added. The default is 1024 and 0 allows to not apply any maximum length at all.
log_errors_max_len = 1024

; Do not log repeated messages. Repeated errors must occur in same file on same
; line until ignore_repeated_source is set true.
ignore_repeated_errors = Off

; Ignore source of message when ignoring repeated messages. When this setting 
; is On you will not log errors with repeated messages from different files or
; sourcelines.
ignore_repeated_source = Off

; If this parameter is set to Off, then memory leaks will not be shown (on
; stdout or in the log). This has only effect in a debug compile, and if 
; error reporting includes E_WARNING in the allowed list
report_memleaks = On

; Сохранять ли последнее сообщение об ошибке или предупреждение в переменной $php_errormsg.
track_errors = On

; Disable the inclusion of HTML tags in error messages.
;html_errors = Off
  
; If html_errors is set On PHP produces clickable error messages that direct 
; to a page describing the error or function causing the error in detail.
; You can download a copy of the PHP manual from http://www.php.net/docs.php 
; and change docref_root to the base URL of your local copy including the
; leading '/'. You must also specify the file extension being used including 
; the dot.
;docref_root = "/phpmanual/"
;docref_ext = .html

; Строка, которая выводится перед сообщением об ошибке.
error_prepend_string = "<!--error-->"

; Строка, которая отображается после сообщения.
error_append_string = "<script language=JavaScript src='/errors__/phperror_js.php'></script>"

; Раскомментируйте, чтобы вести журнал в указанном файле.
;error_log = filename

; Раскройте, чтобы использовать системный журнал.
;error_log = syslog


;;;;;;;;;;;;;;;;;;;;
; Обработка данных ;
;;;;;;;;;;;;;;;;;;;;

; Замечание: track_vars всегда включена, начиная с PHP 4.0.3.

; Следующая директива определяет, в каком порядке PHP будет
; регистрировать данные, полученные методами GET, POST, а также
; переменные окружения и встроенные переменные (соответственно, значение
; задается буквами G, P, C, E и S, например, EGPCS или GPC). Регистрация
; производится на основе чтения этой строки слева направо, новые значения
; переопределяют старые.
variables_order = "EGPCS"

; Должен ли PHP регистрировать EGPCS-переменные как глобальные
; переменные. Возможно, вы захотите отключить эту возможность, если не
; хотите "засорять" глобальную область видимости сценария. Это имеет
; смысл, если вы используете директиву track_vars - в этом случае вы
; можете получить доступ к GPC-данным через массив $HTTP_???_VARS.
; Желательно так писать сценарии, чтобы они по возможности
; старались обходиться без директивы register_globals. Использование
; данных, поступивших из формы, как глобальных переменных, потенциально
; может породить проблемы в защите сценария, если программист не особенно
; позаботится об их устранении.
register_globals = On

; Следующая директива указывает PHP, обязан ли он создавать переменные
; $argv и $argc на основе информации, поступившей методом GET. Если вы не
; используете эти переменные, отключите директиву register_argc_argv для
; небольшого убыстрения работы PHP.
register_argc_argv = On

; Максимальный размер данных POST, который PHP сможет принять.
post_max_size = 8M 

; Следующая директива устарела - используйте variables_order.
gpc_order = "GPC"

; Magic quotes
;

; Автоматическая обработка кавычек и апострофов: использовать ли автокавычки для входящих GET/POST/Cookie данных
magic_quotes_gpc = Off

; Заключать ли данные в автокавычки во время выполнения, например, 
; для данных из SQL, exec() и т. д.
magic_quotes_runtime = Off 

; Нужно ли PHP оформлять автокавычки в стиле Sybase-style (заменять '
; на '', а не на \')
magic_quotes_sybase = Off

; Следующие директивы указывают PHP, содержимое каких файлов он должен
; обрабатывать до и после вывода сценария.
auto_prepend_file       =
auto_append_file        =

; Начиная с версии 4.0b4, PHP всегда сообщает браузеру об используемой
; кодировке в заголовке Content-type. Для того, чтобы запретить это,
; просто установите следующую директиву пустой. По умолчанию
; используется text/html без указания кодировки.
default_mimetype = "text/html"
;default_charset = "iso-8859-1"

;;;;;;;;;;;;;;;;;;;
; Пути и каталоги ;
;;;;;;;;;;;;;;;;;;;

; Для UNIX: "/path1:/path2".
; Для Windows: "\path1;\path2"
include_path = ".;/usr/local/php/PEAR"

; Корневой каталог для PHP-сценариев. 
; Игнорируется, если значение равно пустому "".
doc_root =

; Каталог, который PHP использует при открытии сценария вида
; /~username. Не оказывает действия, если значение равно "".
user_dir =

; Каталог, в котором хранятся динамически загружаемые расширения.
extension_dir = "/usr/local/php/extensions"

; Следующая директива разрешает или запрещает использование функции dl().
; Функция dl() работает неправильно в многопоточных Web-серверах, 
; например, в IIS или Zeus, и автоматически отключается для них.
enable_dl = On

; cgi.force_redirect is necessary to provide security running PHP as a CGI under
; most web servers.  Left undefined, PHP turns this on by default.  You can
; turn it off here AT YOUR OWN RISK
; **You CAN safely turn this off for IIS, in fact, you MUST.**
; cgi.force_redirect = 1

; if cgi.nph is enabled it will force cgi to always sent Status: 200 with
; every request.
; cgi.nph = 1

; if cgi.force_redirect is turned on, and you are not running under Apache or Netscape 
; (iPlanet) web servers, you MAY need to set an environment variable name that PHP
; will look for to know it is OK to continue execution.  Setting this variable MAY
; cause security issues, KNOW WHAT YOU ARE DOING FIRST.
; cgi.redirect_status_env = ;

; cgi.fix_pathinfo provides *real* PATH_INFO/PATH_TRANSLATED support for CGI.  PHP's
; previous behaviour was to set PATH_TRANSLATED to SCRIPT_FILENAME, and to not grok
; what PATH_INFO is.  For more information on PATH_INFO, see the cgi specs.  Setting
; this to 1 will cause PHP CGI to fix it's paths to conform to the spec.  A setting
; of zero causes PHP to behave as before.  Default is zero.  You should fix your scripts
; to use SCRIPT_FILENAME rather than PATH_TRANSLATED.
; cgi.fix_pathinfo=0

; FastCGI under IIS (on WINNT based OS) supports the ability to impersonate
; security tokens of the calling client.  This allows IIS to define the
; security context that the request runs under.  mod_fastcgi under Apache
; does not currently support this feature (03/17/2002)
; Set to 1 if running under IIS.  Default is zero.
; fastcgi.impersonate = 1;

; Disable logging through FastCGI connection
; fastcgi.log = 0

; cgi.rfc2616_headers configuration option tells PHP what type of headers to
; use when sending HTTP response code. If it's set 0 PHP sends Status: header that
; is supported by Apache. When this option is set to 1 PHP will send
; RFC2616 compliant header.
; Default is zero.
;cgi.rfc2616_headers = 0 


;;;;;;;;;;;;;;;;;;
; Закачка файлов ;
;;;;;;;;;;;;;;;;;;

; Разрешает PHP обрабатывать закачку файлов
file_uploads = On 

; Каталог для временных файлов, в который PHP помещает закачанные
; файлы (используется системный временный каталог, если в директиве
; указана пустая строка)
upload_tmp_dir = /tmp 

; Максимальный размер закачанного файла
upload_max_filesize = 2M


;;;;;;;;;;;;;;;;;;
; Fopen wrappers ;
;;;;;;;;;;;;;;;;;;

; Whether to allow the treatment of URLs (like http:// or ftp://) as files.
allow_url_fopen = On

; Define the anonymous ftp password (your email address)
;from="john@doe.com"

; Define the user agent for php to send
; user_agent="PHP"

; Default timeout for socket based streams (seconds)
default_socket_timeout = 60

; If your scripts have to deal with files from Macintosh systems,
; or you are running on a Mac and need to deal with files from
; unix or win32 systems, setting this flag will cause PHP to
; automatically detect the EOL character in those files so that
; fgets() and file() will work regardless of the source of the file.
; auto_detect_line_endings = Off


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Динамически загружаемые расширения ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Если вы хотите, чтобы какие-то модули загружались автоматически,
; задавайте директиву extension в формате:
;   extension=modulename.extension
; Например, для Windows:
;   extension=msql.dll
; или для UNIX:
;   extension=msql.so
; Должно быть указано только имя, без пути.  Чтобы задать каталог, 
; в котором расположены расширения, используйте директиву 
; extension_dir, описанную выше.

; Модули для Windows
; Замечание: поддержка MySQL и ODBC теперь включена в ядро PHP, так что
; для нее уже не нужны  никакие библиотеки DLL. Подключение тех или иных
; модулей в системах, которые не предназначены для них, может вызвать 
; неработоспособность сервера. Поэтому подключайте только те модули, в
; которых уверены.
;

;#
;# Внимание: модули, закомментированные при помощи двойной точки
;# с запятой ";;", требуют дополнительных внешних библиотек и не 
;# работают в умолчательной конфигурации. Не пытайтесь их подключить
;# "просто так", в надежде, что это сработает.
;#

;extension=php_bz2.dll
;extension=php_cpdf.dll
;extension=php_crack.dll
;extension=php_curl.dll
;extension=php_db.dll
;extension=php_dba.dll
;extension=php_dbase.dll
;extension=php_dbx.dll

;Эта библиотека может не работать (на работала в Win95).
;extension=php_domxml.dll

;;extension=php_exif.dll
;extension=php_fdf.dll
;extension=php_filepro.dll
extension=php_gd2.dll
;extension=php_gettext.dll
;extension=php_hyperwave.dll
extension=php_iconv.dll
;;extension=php_ifx.dll
;;extension=php_iisfunc.dll
;;extension=php_imap.dll
extension=php_interbase.dll
;extension=php_java.dll
;extension=php_ldap.dll
;extension=php_mbstring.dll
;;extension=php_mcrypt.dll
;extension=php_mhash.dll
;extension=php_mime_magic.dll
;extension=php_ming.dll
;extension=php_mssql.dll
;extension=php_msql.dll
;;extension=php_oci8.dll
;;extension=php_openssl.dll
;;extension=php_oracle.dll
;extension=php_pdf.dll
extension=php_pgsql.dll
;;extension=php_printer.dll
;extension=php_shmop.dll
;extension=php_snmp.dll
extension=php_sockets.dll
;;extension=php_sybase_ct.dll
;extension=php_w32api.dll
;extension=php_xmlrpc.dll
;extension=php_xslt.dll
;extension=php_yaz.dll
;extension=php_zip.dll

;; Напоминаем, что при помощи ";;" помечены библиотеки, потенциально
;; способные вызвать сбой сервера. Не используйте их без крайней 
;; необходимости!
;; Обратите внимание - эти расширения продублированы в списке выше

;;extension=php_fdf.dll        ; падает при открытии любой страницы
;;extension=php_mime_magic.dll ; требует c:\php4\magic.mime, и именно там
;;extension=php_ifx.dll
;;extension=php_oci8.dll
;;extension=php_sybase_ct.dll
;;extension=php_snmp.dll
;;extension=php_oracle.dll
;;extension=php_mcrypt.dll
;;extension=php_ingres.dll    ; в пакете расширение отсутсвует
;;extension=php_iisfunc.dll   ; в пакете расширение отсутсвует
;;extension=php_dotnet.dll    ; в пакете расширение отсутсвует
;;extension=php_fbsql.dll     ; в пакете расширение отсутсвует
;;extension=php_cybercash.dll ; в пакете расширение отсутсвует
;extension=php_fribidi.dll
;extension=php_pspell.dll

;;;;;;;;;;;;;;;;;;;;;;;;;
; Установки для модулей ;
;;;;;;;;;;;;;;;;;;;;;;;;;

[Syslog]
; Нужно или нет определять различные переменные Syslog, такие как
; $LOG_PID, $LOG_CRON и т. д. Для ускорения работы рекомендуется
; выключать следующую директиву. Во время выполнения сценария вы 
; можете включить или выключить директиву путем вызова
; функции define_syslog_variables().
define_syslog_variables = Off


[Debugger]
debugger.enabled=on
debugger.profiler_enabled=on


[mail function]
; Только для Win32 - используемый SMTP-сервер.
; Укажите здесь SMTP-сервер своего провайдера.
;SMTP = localhost 

; Только для Win32 - поле From: по умолчанию.
;sendmail_from = denwer@localhost

; Только для UNIX - задает путь и аргументы программы sendmail (по
; умолчанию - 'sendmail -t -i').
sendmail_path = \usr\sbin\sendmail -t -i
; ВНИМАНИЕ: необходимо использовать обратные слэши: "\", а не прямые.
; Иначе sendmail не работает в Windows 95 ... Windows ME.
; ВНИМАНИЕ: если Вы хотите все же использовать SMTP-сервер, 
; раскомментируйте директиву SMTP (см. выше), а эту - уберите.
; Если ее не убрать, все равно будет вызываться sendmail.


[Java]
;java.class.path = .\php_java.jar
;java.home = c:\jdk
;java.library = c:\jdk\jre\bin\hotspot\jvm.dll
;java.library.path = .\


[SQL]
sql.safe_mode   =       Off


[ODBC]
;uodbc.default_db = Not yet implemented
;uodbc.default_user = Not yet implemented
;uodbc.default_pw = Not yet implemented

; Разрешает или запрещает устойчивые соединения
odbc.allow_persistent  = On

; Проверка доступности соединения перед его использованием.
odbc.check_persistent = On

; Макс. число устойчивых соединений. -1 означает, что ограничений нет.
odbc.max_persistent = -1

; Макс. число соединений (устойчивых + неустойчивых). 
odbc.max_links = -1

; Установки для LONG-полей.
odbc.defaultlrl = 4096 

; Установки для бинарных данных. 0 означает режим passthru, 1 - режим
; as is, 2 - преобразование в символы.
odbc.defaultbinmode = 1

; См. документацию по odbc_binmode и odbc_longreadlen для более
; детального разъяснения смысла директив uodbc.defaultlrl и
; uodbc.defaultbinmode.


[MySQL]
mysql.allow_persistent = On
mysql.max_persistent = -1 
mysql.max_links = -1

; Порт по умолчанию для функции mysql_connect(). Если не задан, функция
; попытается использовать переменную $MYSQL_TCP_PORT или запись mysql-tcp
; в /etc/services, а также заданную во время компиляции PHP константу
; MYSQL_PORT (именно в таком порядке). К PHP для Win32 применимо только
; последнее.
mysql.default_port =

; Определяет имя сокета для локальных соединений MySQL. Если он не задан,
; использует встроенное значение по умолчанию.
mysql.default_socket =

; Хост по умолчанию для mysql_connect() (не работает в безопасном режиме).
mysql.default_host =

; Пользователь по умолчанию (не работает в безопасном режиме).
mysql.default_user =

; Пароль по умолчанию (не работает в безопасном режиме).
; Замечание: идея хранить пароль в этом файле просто отвратительна. Любой
; пользователь, который может запускать PHP, сможет узнать пароль путем
; выполнения: 
; echo cfg_get_var("mysql.default_password")
; Конечно, узнать пароль сможет также и пользователь, который имеет права
; на чтение для файла php.ini.
mysql.default_password =

; Maximum time (in secondes) for connect timeout. -1 means no limimt
mysql.connect_timeout = 60

; Trace mode. When trace_mode is active (=On), warnings for table/index scans and
; SQL-Erros will be displayed.
mysql.trace_mode = Off

[mSQL]
msql.allow_persistent = On
msql.max_persistent = -1
msql.max_links = -1


[PostgresSQL]
; Allow or prevent persistent links.
pgsql.allow_persistent = On

; Detect broken persistent links always with pg_pconnect().
; Auto reset feature requires a little overheads.
pgsql.auto_reset_persistent = Off 

; Maximum number of persistent links.  -1 means no limit.
pgsql.max_persistent = -1

; Maximum number of links (persistent+non persistent).  -1 means no limit.
pgsql.max_links = -1

; Ignore PostgreSQL backends Notice message or not.
; Notice message logging require a little overheads.
pgsql.ignore_notice = 0

; Log PostgreSQL backends Noitce message or not.
; Unless pgsql.ignore_notice=0, module cannot log notice message.
pgsql.log_notice = 0

[Sybase]
sybase.allow_persistent = On
sybase.max_persistent = -1
sybase.max_links = -1
;sybase.interface_file = "/usr/sybase/interfaces"

; Максимальный уровень серьезности отображаемых ошибок.
sybase.min_error_severity = 10

; Минимальный уровень серьезности отображаемых ошибок.
sybase.min_message_severity = 10

; Режим совместимости со старыми версиями PHP 3.0.
; Если следующая директива установлена в On, PHP будет автоматически
; присваивать тип результату на основе его типа в Sybase, вместо того,
; чтобы преобразовывать полученные значения в строки. Этот режим
; совместимости, возможно, в будущем не будет поддерживаться, так что
; лучше исправьте свои сценарии, если вам он нужен.
sybase.compatability_mode = Off


[Sybase-CT]
sybct.allow_persistent = On
sybct.max_persistent = -1
sybct.max_links = -1
sybct.min_server_severity = 10
sybct.min_client_severity = 10

[dbx]
; returned column names can be converted for compatibility reasons
; possible values for dbx.colnames_case are
; "unchanged" (default, if not set)
; "lowercase"
; "uppercase"
; the recommended default is either upper- or lowercase, but
; unchanged is currently set for backwards compatibility
dbx.colnames_case = "lowercase"

[bcmath]
; Число десятичных цифр для всех bcmath-функций.
bcmath.scale = 0


[browscap]
;browscap       =       extra/browscap.ini


[Informix]
ifx.default_host=
ifx.default_user=
ifx.default_password=
ifx.allow_persistent=On
ifx.max_persistent=-1
ifx.max_links=-1

; Если следующая директива установлена в On, выражение select возвращает
; содержимое поля типа text blob вместо его идентификатора.
ifx.textasvarchar=0

; Заставляет команду select возвращать значение поля типа byte blob
; вместо его идентификатора.
ifx.byteasvarchar=0

; Принуждает PHP удалять завершающие пробелы из колонок с типом char
; фиксированного размера. Может помочь пользователям Informix SE.
ifx.charasvarchar=0

; Если установлена, содержимое полей text и byte сохраняется в файле,
; вместо того, чтобы храниться в памяти.
ifx.blobinfile=0

; Если установлена в 0, значения NULL возвращаются как пустые строки,
; иначе они возвращаются как строки 'NULL'.
ifx.nullformat=0


[Session]
; Определяет режим хранения данных сессий.
session.save_handler = files

; Следующая директива задает аргумент, передаваемый save_handler-у. В
; случае режима сохранения в файлах здесь должен указываться каталог,
; в который будут помещены файлы сессий.
session.save_path = /tmp

; Должен ли PHP использовать Cookies.
session.use_cookies = 1

; Имя Cookie для сессии (имя сессии по умолчанию)
session.name = PHPSESSID

; Инициализировать ли сессии при старте.
session.auto_start = 0

; Время жизни Cookie для сессии. Если до закрытия браузера, то 0.
session.cookie_lifetime = 0

; Путь для Cookie с идентификатором сессии.
session.cookie_path = /

; Домен для Cookie с идентификатором сессии.
session.cookie_domain =

; Функция, используемая для сериализации данных. Значение php задает
; стандартную функцию.
session.serialize_handler = php

; Вероятность того, что при очередном запуске сценария, работающего с
; сессиями, будет вызвана функция "сборки мусора" для очистке сессий,
; которые пользователь уже покинул.
session.gc_probability = 1
session.gc_divisor     = 100

; После указанного здесь промежутка времени сохраненные
; данные будут удалены автоматически сборщиком мусора. 
session.gc_maxlifetime = 1440 

; NOTE: If you are using the subdirectory option for storing session files
;       (see session.save_path above), then garbage collection does *not*
;       happen automatically.  You will need to do your own garbage 
;       collection through a shell script, cron entry, or some other method. 
;       For example, the following script would is the equivalent of
;       setting session.gc_maxlifetime to 1440 (1440 seconds = 24 minutes):
;          cd /path/to/sessions; find -cmin +24 | xargs rm

; PHP 4.2 and less have an undocumented feature/bug that allows you to
; to initialize a session variable in the global scope, albeit register_globals
; is disabled.  PHP 4.3 and later will warn you, if this feature is used.
; You can disable the feature and the warning separately. At this time,
; the warning is only displayed, if bug_compat_42 is enabled.

session.bug_compat_42 = 1
session.bug_compat_warn = 1

; Проверять ли HTTP Referer на предмет того, не является ли ID сессии
; "фальшивым".
session.referer_check =

; Указывает, сколько байтов читать из файла со случайными числами.
session.entropy_length = 0

; Файл случайных чисел, используемый для генерации идентификаторов сессии.
session.entropy_file =

; session.entropy_length    = 16
; session.entropy_file      = /dev/urandom

; Установите одно из значений nocache, private, public для определения
; аспектов кэширования HTTP.
session.cache_limiter = nocache

; Документ будет считаться устаревшим по истечении заданного 
; здесь количества минут
session.cache_expire = 180

; Использовать ли поддержку "переходящих" SID, то есть, поддерживать ли
; сессии, если пользователь отключил Cookies в браузере. Действует, 
; если PHP был скомпилирован с включенной опцией --enable-trans-sid.
session.use_trans_sid = 1

; The URL rewriter will look for URLs in a defined set of HTML tags.
; form/fieldset are special; if you include them here, the rewriter will
; add a hidden <input> field with the info which is otherwise appended
; to URLs.  If you want XHTML conformity, remove the form entry.
; Note that all valid entries require a "=", even if no value follows.
url_rewriter.tags = "a=href,area=href,frame=src,input=src,form=,fieldset="

[MSSQL]
mssql.allow_persistent=On
mssql.max_persistent=-1
mssql.max_links=-1
mssql.min_error_severity=10
mssql.min_message_severity=10

; Режим совместимости со старыми версиями PHP 3.0.
mssql.compatability_mode=Off

; Connec timeout
;mssql.connect_timeout = 5

; Query timeout
;mssql.timeout = 60

; Valid range 0 - 2147483647.  Default = 4096.
;mssql.textlimit = 4096

; Valid range 0 - 2147483647.  Default = 4096.
;mssql.textsize = 4096

; Limits the number of records in each batch.  0 = all records in one batch.
;mssql.batchsize = 0

; Specify how datetime and datetim4 columns are returned
; On => Returns data converted to SQL server settings
; Off => Returns values as YYYY-MM-DD hh:mm:ss
;mssql.datetimeconvert = On

; Use NT authentication when connecting to the server
mssql.secure_connection = Off

; Specify max number of processes. -1 = library default
; msdlib defaults to 25
; FreeTDS defaults to 4096
;mssql.max_procs = -1

[Assertion]
; Работает ли функция проверки assert(выражение) (по умолчанию работает)
;assert.active = On

; Генерирует предупреждения PHP для каждых неудавшихся проверок выражений.
;assert.warning = On

; По умолчанию не завершать программу в случае неудачи. 
;assert.bail = Off

; Пользовательская функция, которая будет вызвана при неудаче проверки.
;assert.callback = 0

; Вычислять выражения в eval с использованием текущих установок
; error_reporting. Установите в true, если вы хотите, чтобы действие
; режима error_reporting(0) было сохранено и при переходе через 
; границу eval().
;assert.quiet_eval =


[Ingres II]
ingres.allow_persistent=On
ingres.max_persistent=-1
ingres.max_links=-1

; База данных по умолчанию (формат: [node_id::]dbname[/srv_class]
ingres.default_database=
ingres.default_user=
ingres.default_password=


[Verisign Payflow Pro]
; Default Payflow Pro server.
pfpro.defaulthost = "test-payflow.verisign.com"
pfpro.defaultport=443
pfpro.defaulttimeout=30

; IP-адрес proxy-сервера по умолчанию (если требуется).
; pfpro.proxyaddress=

; Порт proxy-сервера по умолчанию
; pfpro.proxyport=

; Логин для proxy-сервера по умолчанию
; pfpro.proxylogon=

; Пароль для proxy-сервера по умолчанию
; pfpro.proxypassword=

[Sockets]
; Use the system read() function instead of the php_read() wrapper.
sockets.use_system_read = On

[com]
; path to a file containing GUIDs, IIDs or filenames of files with TypeLibs
;com.typelib_file = 
; allow Distributed-COM calls
;com.allow_dcom = true
; autoregister constants of a components typlib on com_load()
;com.autoregister_typelib = true
; register constants casesensitive
;com.autoregister_casesensitive = false
; show warnings on duplicate constat registrations
;com.autoregister_verbose = true

[Printer]
;printer.default_printer = ""

[mbstring]
; language for internal character representation.
;mbstring.language = Japanese

; internal/script encoding.
; Some encoding cannot work as internal encoding.
; (e.g. SJIS, BIG5, ISO-2022-*)
;mbstring.internal_encoding = EUC-JP

; http input encoding.
;mbstring.http_input = auto

; http output encoding. mb_output_handler must be
; registered as output buffer to function
;mbstring.http_output = SJIS

; converted to internal encoding by setting this to On.
; Note: Do _not_ use automatic encoding translation for
;       portable libs/applications.
;mbstring.encoding_translation = Off

; automatic encoding detection order.
; auto means 
;mbstring.detect_order = auto

; substitute_character used when character cannot be converted
; one from another
;mbstring.substitute_character = none;

; overload(replace) single byte functions by mbstring functions.
; mail(), ereg(), etc are overloaded by mb_send_mail(), mb_ereg(),
; etc. Possible values are 0,1,2,4 or combination of them.
; For example, 7 for overload everything.
; 0: No overload
; 1: Overload mail() function
; 2: Overload str*() functions
; 4: Overload ereg*() functions
;mbstring.func_overload = 0

[FrontBase]
;fbsql.allow_persistent = On
;fbsql.autocommit = On
;fbsql.default_database = 
;fbsql.default_database_password =
;fbsql.default_host =
;fbsql.default_password =
;fbsql.default_user = "_SYSTEM"
;fbsql.generate_warnings = Off
;fbsql.max_connections = 128
;fbsql.max_links = 128
;fbsql.max_persistent = -1
;fbsql.max_results = 128
;fbsql.batchSize = 1000

[Crack]
; Modify the setting below to match the directory location of the cracklib
; dictionary files.  Include the base filename, but not the file extension.
; crack.default_dictionary = "c:\php\lib\cracklib_dict"

[exif]
; Exif UNICODE user comments are handled as UCS-2BE/UCS-2LE and JIS as JIS. 
; With mbstring support this will automatically be converted into the encoding
; given by corresponding encode setting. When empty mbstring.internal_encoding 
; is used. For the decode settings you can distinguish between motorola and 
; intel byte order. A decode setting cannot be empty.
;exif.encode_unicode = ISO-8859-15
;exif.decode_unicode_motorola = UCS-2BE
;exif.decode_unicode_intel    = UCS-2LE
;exif.encode_jis = 
;exif.decode_jis_motorola = JIS
;exif.decode_jis_intel    = JIS

;;;;;;;;;;;;;;;;;;
;; Конец файла. ;;
;;;;;;;;;;;;;;;;;;
